Bug 518776 - Fails to export png from SVG on ppc64
Summary: Fails to export png from SVG on ppc64
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 12
Hardware: ppc64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 18:00 UTC by Martin Sourada
Modified: 2010-12-05 06:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:34:35 UTC


Attachments (Terms of Use)

Description Martin Sourada 2009-08-22 18:00:06 UTC
Description of problem:
constantine-backgrounds package build fails on ppc64 due to inkscape crashing instead of exporting PNG from SVG. Works on x86_64 with the same version though.

Version-Release number of selected component (if applicable):
0.47-0.15.pre1.20090810svn.fc12

How reproducible:
Probably always

Steps to Reproduce:
1. try to build latest constantine-backgrounds on ppc64
  
Actual results:
build fails due to:

/usr/bin/inkscape -e constantine-wide.png -w 1920 -h 1200 -a 0:0:1440:900 constantine.svg
(inkscape:27891): Gdk-CRITICAL **: gdk_display_list_devices: assertion `GDK_IS_DISPLAY (display)' failed
Background RRGGBBAA: ffffffff
Area 0:0:1440:900 exported to 1920 x 1200 pixels (120 dpi)
Bitmap saved as: constantine-wide.png
Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
** Message: Error: Inkscape encountered an internal error and will close now.

Expected results:
the file is successfully exported and build succeeds

Additional info:
Happens on ppc64 but not on x86_64, don't know about other archs.

Failed build:
http://koji.fedoraproject.org/koji/getfile?taskID=1625668&name=build.log

Succeeded build:
http://koji.fedoraproject.org/koji/getfile?taskID=1624250&name=build.log

Comment 1 Lubomir Rintel 2009-08-24 05:13:49 UTC
#0  0x000000001082606c in Inkscape::GC::Core::free (ptr=0x123e63f0) at ./gc-core.h:121
No locals.
#1  0x0000000010826250 in operator delete (mem=0x123e63f0) at ./gc-core.h:197
No locals.
#2  0x00000000108457dc in Inkscape::GC::Managed<(Inkscape::GC::ScanPolicy)0, (Inkscape::GC::CollectionPolicy)1>::operator delete (p=0x123e63f0) at gc-managed.h:46
No locals.
#3  0x00000000108447e4 in Inkscape::GC::Anchored::_free_anchor (this=0x120d5f68, anchor=0x123e63f0) at gc-anchored.cpp:62
No locals.
#4  0x0000000010844b9c in Inkscape::GC::Anchored::release (this=0x120d5f68) at gc-anchored.cpp:77
        tracker = {<Inkscape::Debug::EventTrackerBase> = {_vptr.EventTrackerBase = 0x11650bf8, _active = true}, <No data fields>}
        __PRETTY_FUNCTION__ = "void Inkscape::GC::Anchored::release() const"
#5  0x0000000010898974 in Inkscape::GC::release<NRObject> (r=0x120d5f60) at ./gc-anchored.h:161
No locals.
#6  0x0000000010898c58 in NRObject::unreference (this=0x120d5f60) at libnr/nr-object.h:83
No locals.
#7  0x0000000010898cf8 in nr_object_unref (object=0x120d5f60) at libnr/nr-object.h:122
No locals.
#8  0x0000000010c16e44 in sp_export_png_file (doc=0x120cdf00, filename=0x11dd99d0 "constantine-wide.png", area=..., width=1920, height=1200, xdpi=120, ydpi=120, 
    bgcolor=4294967040, status=0, data=0x0, force_overwrite=true, items_only=0x0) at helper/png-write.cpp:509
        __PRETTY_FUNCTION__ = "bool sp_export_png_file(SPDocument*, const gchar*, const Geom::Rect&, long unsigned int, long unsigned int, double, double, long unsigned int, unsigned int (*)(float, void*), void*, bool, GSList*)"
        translation = {_pt = {-0, 600}}
        ebp = {width = 1920, height = 1200, sheight = 64, r = 255 '\377', g = 255 '\377', b = 255 '\377', a = 0 '\000', root = 0x120d6e70, 
          px = 0x40009095010 <Address 0x40009095010 out of bounds>, status = 0, data = 0x0}
        arena = 0x120d5f60
        write_status = true
        path = 0x12950b00 "/constantine-wide.png"
        affine = {_c = {1.3333333333333333, 0, 0, 1.3333333333333333, -0, 800}}
        dkey = 0
#9  0x0000000010816fa4 in sp_do_export_png (doc=0x120cdf00) at main.cpp:1403
        dpi = 120
        __PRETTY_FUNCTION__ = "void sp_do_export_png(SPDocument*)"
        filename = 0x11dd99d0 "constantine-wide.png"
        items = 0x0
        area = {f = {{_b = {0, 1440}}, {_b = {0, 900}}}}
        width = 1920
        height = 1200
        bgcolor = 4294967040
#10 0x000000001081486c in sp_process_file_list (fl=0x11c54e00) at main.cpp:983
        filename = 0x11dd99b0 "img.svg"
        doc = 0x120cdf00
#11 0x000000001081520c in sp_main_console (argc=10, argv=0xffffffff6e8) at main.cpp:1123
        argv2 = 0xffffffff6e8
        fl = 0x11c54e00
        retVal = 0
        __PRETTY_FUNCTION__ = "int sp_main_console(int, const char**)"
#12 0x0000000010a426c0 in Inkscape::NSApplication::Application::run (this=0xffffffff250) at application/application.cpp:117
        result = 0
        __PRETTY_FUNCTION__ = "gint Inkscape::NSApplication::Application::run()"
#13 0x0000000010813404 in main (argc=10, argv=0xffffffff6e8) at main.cpp:684
        inkscape_localedir = 0x0
        use_gui = 0
        app = {_vptr.Application = 0x119f1a28, _argc = 10, _argv = 0xffffffff6e8, _app_impl = 0x0, _path_home = 0x0}

Comment 2 Bug Zapper 2009-11-16 11:36:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:25:32 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-05 06:34:35 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.